public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-gsconnect/
Date: Sun, 28 Mar 2021 19:38:30 +0000 (UTC)	[thread overview]
Message-ID: <1616960306.3c4543b514126e229512e4a530a10bfd8ed89f4f.pacho@gentoo> (raw)

commit:     3c4543b514126e229512e4a530a10bfd8ed89f4f
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 19:38:16 2021 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 19:38:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c4543b5

gnome-extra/gnome-shell-extension-gsconnect: Bump to v45

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../gnome-shell-extension-gsconnect/Manifest       |  1 +
 .../gnome-shell-extension-gsconnect-45.ebuild      | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/gnome-extra/gnome-shell-extension-gsconnect/Manifest b/gnome-extra/gnome-shell-extension-gsconnect/Manifest
index c38daa8d89b..9cb05076ea8 100644
--- a/gnome-extra/gnome-shell-extension-gsconnect/Manifest
+++ b/gnome-extra/gnome-shell-extension-gsconnect/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-shell-extension-gsconnect-42.tar.gz 729438 BLAKE2B 19aea0008487c5c316a6883da176ccba4bf31334abe1ce273cdba91d4fbacfa8a3e003909488e957486ea371043174eefd1ca990470f99ac4ff36ff73cd498cc SHA512 27965435ef9524021e3ce3825af73d9a8b7f602d8c73b524bcf247b6af47ad14b16e83815b1a30e148b109531fbe230e531e1a0b456f5f51c9c96a4c5a3b19a5
 DIST gnome-shell-extension-gsconnect-44.tar.gz 731896 BLAKE2B f4d51ca366bf6a3fe65713da516331a5e3beba19ed6fa22b7224be3c05433bdc125d80e04ac3a1da966ed4f671c6771a53b0cd3f94f7c81eea51f8a30415a5d6 SHA512 92ca5750772c64300c4b8760d4202a1e27d5e7f0fedc5672fd54b48e17de095b29fe0ce18df76619a2e3e3802bb4b77ffdc98b9b4987db3e9550251a61f8b832
+DIST gnome-shell-extension-gsconnect-45.tar.gz 735089 BLAKE2B 44704b0a32d68c123581818f0e8e6bc429fc9be462c98addb98980ef19eefbfce0618c718e640a8bed1c60500f796dc31c4d74c8394a940bf6ecfa7644eccf45 SHA512 59b81316ff02116bf92525acf21a99152b15417459d42be4c710a25d879a326cc3f03a9c0595fa9879e2abd613d4acb067d340bc60c8a80bf88909ea7269903e

diff --git a/gnome-extra/gnome-shell-extension-gsconnect/gnome-shell-extension-gsconnect-45.ebuild b/gnome-extra/gnome-shell-extension-gsconnect/gnome-shell-extension-gsconnect-45.ebuild
new file mode 100644
index 00000000000..b82245ebb2c
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-gsconnect/gnome-shell-extension-gsconnect-45.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome2-utils meson readme.gentoo-r1 xdg
+
+DESCRIPTION="KDE Connect implementation for Gnome Shell"
+HOMEPAGE="https://github.com/andyholmes/gnome-shell-extension-gsconnect"
+SRC_URI="https://github.com/andyholmes/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nautilus"
+
+COMMON_DEPEND="dev-libs/glib:2"
+RDEPEND="${COMMON_DEPEND}
+	app-eselect/eselect-gnome-shell-extensions
+	>=dev-libs/gjs-1.48
+	=gnome-base/gnome-shell-3.38*
+	gnome-base/gvfs
+	gnome-extra/evolution-data-server
+	|| ( media-libs/libcanberra media-libs/gsound )
+	nautilus? (
+		dev-python/nautilus-python
+		gnome-base/nautilus[introspection] )
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="For knowing more about how to do the setup, please visit:
+https://github.com/andyholmes/gnome-shell-extension-gsconnect/wiki/Installation"
+
+src_configure() {
+	# nemo support relies on nemo-python from https://github.com/linuxmint/nemo-extensions
+	# https://bugs.gentoo.org/694388
+	meson_src_configure \
+		-Dinstalled_tests=false \
+		-Dnemo=false \
+		$(meson_use nautilus)
+}
+
+src_install() {
+	meson_src_install
+	readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+	gnome2_schemas_savelist
+	xdg_pkg_preinst
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+	xdg_pkg_postinst
+	ebegin "Updating list of installed extensions"
+	eselect gnome-shell-extensions update
+	eend $?
+	readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+	xdg_pkg_postrm
+}


             reply	other threads:[~2021-03-28 19:38 UTC|newest]

Thread overview: 78+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-28 19:38 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-26 19:33 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-gsconnect/ Sam James
2024-12-02 13:00 Pacho Ramos
2024-03-09 18:58 Mart Raudsepp
2024-03-02 23:30 Sam James
2024-03-02 22:51 Mart Raudsepp
2024-02-18  6:08 Arthur Zamarin
2024-01-08 17:27 Sam James
2023-11-10 16:20 Pacho Ramos
2023-10-08 13:52 Pacho Ramos
2023-05-17 22:29 Matt Turner
2023-05-05 10:24 Pacho Ramos
2023-03-26 16:53 Pacho Ramos
2023-03-26 16:53 Pacho Ramos
2023-01-22 11:29 Pacho Ramos
2022-12-19 16:32 Pacho Ramos
2022-12-19 16:30 Pacho Ramos
2022-12-16 20:37 Arthur Zamarin
2022-11-24  8:04 Pacho Ramos
2022-09-19 21:58 Georgy Yakovlev
2022-05-31 18:52 Matt Turner
2022-05-28  1:27 Sam James
2022-05-28  1:20 Sam James
2022-03-27  9:23 Pacho Ramos
2022-03-27  9:20 Pacho Ramos
2022-03-08  9:35 Sam James
2021-10-19 21:04 Pacho Ramos
2021-08-25 15:35 Pacho Ramos
2021-07-08 12:51 Pacho Ramos
2021-06-22 16:43 Pacho Ramos
2021-05-31  2:23 Matt Turner
2021-05-30 20:52 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-05-20 12:37 Pacho Ramos
2021-04-04 17:14 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2021-03-14 14:46 Pacho Ramos
2020-12-01 22:15 Pacho Ramos
2020-12-01 22:15 Pacho Ramos
2020-09-20  9:24 Pacho Ramos
2020-08-30 20:20 Pacho Ramos
2020-08-17 10:08 Pacho Ramos
2020-08-17 10:08 Pacho Ramos
2020-08-15  9:59 Pacho Ramos
2020-07-15  8:22 Pacho Ramos
2020-05-31 12:42 Pacho Ramos
2020-04-22 21:00 Pacho Ramos
2020-03-11 16:38 Pacho Ramos
2019-12-15 13:18 Pacho Ramos
2019-12-15 13:18 Pacho Ramos
2019-12-14 23:05 Pacho Ramos
2019-11-10 12:36 Pacho Ramos
2019-11-10 12:36 Pacho Ramos
2019-10-20 10:14 Pacho Ramos
2019-10-20 10:14 Pacho Ramos
2019-10-20 10:14 Pacho Ramos
2019-09-14 21:01 Pacho Ramos
2019-08-15 17:54 Pacho Ramos
2019-06-09 11:06 Pacho Ramos
2019-06-09 11:06 Pacho Ramos
2019-05-17 17:27 Pacho Ramos
2019-05-17 17:27 Pacho Ramos
2019-05-09  8:14 Pacho Ramos
2019-05-09  8:14 Pacho Ramos
2019-05-03  8:56 Pacho Ramos
2019-04-13  7:16 Pacho Ramos
2019-03-23 13:48 Pacho Ramos
2019-03-23 13:48 Pacho Ramos
2019-03-09 11:29 Pacho Ramos
2019-01-05 13:24 Pacho Ramos
2018-10-21  8:59 Pacho Ramos
2018-10-21  8:59 Pacho Ramos
2018-09-15 10:39 Pacho Ramos
2018-07-25  9:21 Pacho Ramos
2018-07-24 16:10 Pacho Ramos
2018-07-24 16:08 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1616960306.3c4543b514126e229512e4a530a10bfd8ed89f4f.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox